JobHistory.TaskAttempt (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class JobHistory.TaskAttempt

    java.lang.Object
      org.apache.hadoop.mapred.JobHistory.Task
          org.apache.hadoop.mapred.JobHistory.TaskAttempt

Direct Known Subclasses:
  JobHistory.MapAttempt, JobHistory.ReduceAttempt

Enclosing class:
  JobHistory

    public static class JobHistory.TaskAttempt

extends JobHistory.Task

Base class for Map and Reduce TaskAttempts.

Constructor Summary
`JobHistory.TaskAttempt()`

Method Summary
`String` | `get(JobHistory.Keys k)` Get 'String' value for given key.
`int` | `getInt(JobHistory.Keys k)` Convert value from history to int and return.
`long` | `getLong(JobHistory.Keys k)` Convert value from history to int and return.
`Map<JobHistory.Keys,String>` | `getValues()` Returns Map containing all key-values.
`void` | `handle(Map<JobHistory.Keys,String> values)` Reads values back from the history, input is same Map as passed to Listener by parseHistory().
`void` | `set(JobHistory.Keys k, String s)` Set value for the key.
`void` | `set(Map<JobHistory.Keys,String> m)` Adds all values in the Map argument to its own values.

Methods inherited from class org.apache.hadoop.mapred.JobHistory.Task
`getTaskAttempts, logFailed, logFailed, logFinished, logStarted, logUpdates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobHistory.TaskAttempt

    public JobHistory.TaskAttempt()

Method Detail

### get

    public String get(JobHistory.Keys k)

  Get 'String' value for given key. Most of the places use Strings as values so the default get' method returns 'String'. This method never returns null to ease on GUIs. if no value is found it returns empty string ""

  Parameters:
    `k` -
  Returns:
    if null it returns empty string - ""

### getInt

    public int getInt(JobHistory.Keys k)

  Convert value from history to int and return. if no value is found it returns 0.

  Parameters:
    `k` - key

### getLong

    public long getLong(JobHistory.Keys k)

  Convert value from history to int and return. if no value is found it returns 0.

  Parameters:
    `k` -

### set

    public void set(JobHistory.Keys k,
                    String s)

  Set value for the key.

  Parameters:
    `k` -
    `s` -

### set

    public void set(Map<JobHistory.Keys,String> m)

  Adds all values in the Map argument to its own values.

  Parameters:
    `m` -

### handle

    public void handle(Map<JobHistory.Keys,String> values)

  Reads values back from the history, input is same Map as passed to Listener by parseHistory().

  Parameters:
    `values` -

### getValues

    public Map<JobHistory.Keys,String> getValues()

  Returns Map containing all key-values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation